Subject: Re: git-send-email --suppress-from option doesn't work.

From: Timur Tabi <[email-masked]>
Date: Thu, 25 Jan 2007 10:47:32 -0600

Andreas Ericsson wrote:

> 
> I believe
> 
> 	(/^(Cc|From):[^<]+<([^>])+>.*$/)
> 
> would do the trick for your case. It would however fail when specifying a proper
> --from address in the 'git commit --author="Foo Barson <[email-masked]>"' style.

Even so, it would still be very picky about the layout.  --suppress-from should 
just compare the actual email addresses, not the names or any other characters.

> Are you sure you need to specify --from for those patches though?

Yes.  If I don't specify --from, then git-send-email will prompt me for the 
From: address.  I want git-send-email to be completely non-interactive.

>> Some of you might say at this point, "Why don't you  just specify --from
>> "Timur Tabi <[email-masked]>"?  I tried that, and it still doesn't
>> work.
> 
> That sounds extremely odd indeed. Could this have to do with character
> conversion?

Actually, I figured out the problem is that I can't do this:

FROM='--from "Foo Barson <[email-masked]>"'
git-send-email $FROM ...

I got all sorts of weird messages about unbalanced > or something.  Instead, I 
need to do this:

FROM="Foo Barson <[email-masked]>"
git-send-email --from $FROM ...

This is probably a shell issue instead of a git-send-email issue, but it is 
annoying.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale